# class KSeparator | Standard horizontal or vertical separator. More...
Definition | `#include <kseparator.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KSeparator (QWidget* parent=0, const char* name=0, WFlags f=0)
- KSeparator (int orientation, QWidget* parent=0, const char* name=0, WFlags f=0)
- int orientation () const
- void setOrientation (int)
- virtual QSize sizeHint () const

## Detailed Description

Standard horizontal or vertical separator.

KSeparator (QWidget* parent=0, const char* name=0, WFlags f=0) | ### KSeparator

Constructor.

KSeparator (int orientation, QWidget* parent=0, const char* name=0, WFlags f=0) | ### KSeparator

Constructor.

Parameters:

orientation | Set the orientation of the separator. Possible values are HLine and VLine.

int orientation () | ### orientation

[const]

Retreive the orientation of the separator.

Possible values are VLine and HLine.

void setOrientation (int) | ### setOrientation

Set the orientation of the separator.

Possible values are VLine and HLine.

QSize sizeHint () | ### sizeHint

[const virtual]

The recommended height (width) for a horizontal (vertical) separator.

Reimplemented from QFrame.

- Version: $Id: kseparator.h,v 1.5 2000/01/11 13:50:02 dsweet Exp $
- Author: Michael Roth <mroth@wirlweb.de>
- Generated: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.